#pragma once

namespace mapa
{
	namespace arounders
	{
		extern int orientacio_inicial;
		extern int totals;
		extern int necessaris;

		extern int arrivats;
		extern int eixits;
		extern int morts;
	}

	namespace accions
	{
		extern int parar;
		extern int cavar;
		extern int escalar;
		extern int perforar;
		extern int escalera;
		extern int pasarela;
		extern int corda;
	}

    void carregar();

    void pintar(int accio, int prevista);
	int procesar(int mousex, int mousey);

    void setAroundersNum(const int orient, const int total, const int necessaris);
    void setActions(const int parar, const int cavar, const int escalar, const int perforar, const int escalera, const int pasarela, const int corda);

}